<?php
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 

include("includes/admin_top.php");

if (isset($_GET['delete']))
{
    
	$employer = new User($_GET['delete']);
    if (in_array($employer->UserEmail, $TESTUSERS))
    {
        $tpl->touchBlock('error_test_acccount_delete');
    }
    else
    {
        $employer->delete();
    }	
}

$listing = new Listing('listing.employers.html', 'listing');
$listing->onBeforeParseRow = parse_employer;
$listing->parse($template, 'select * from user where UserType = %d', USER_TYPE_EMPLOYER);

function parse_employer($tpl, $row)
{
	$employer = new User();
	$employer->populateFromArray($row);
	
	$tpl->setVariable('PermissionCustomers',		$employer->checkPermission(USER_PERMISSION_CUSTOMERS));
	$tpl->setVariable('PermissionContent',			$employer->checkPermission(USER_PERMISSION_CONTENT));
	$tpl->setVariable('PermissionStatistics',		$employer->checkPermission(USER_PERMISSION_STATISTICS));
	$tpl->setVariable('PermissionReports',			$employer->checkPermission(USER_PERMISSION_REPORTS));
}

include("includes/admin_bottom.php");
?>                                                                                                          