<?php
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 

define('IS_ADMIN', true);
require_once('../includes/application_top.php');  
$message = '';
        
$logged = false;          

if ($user->UserType != USER_TYPE_EMPLOYER)  
{
	if ($_POST['action'] == 'login')
	{
		$user = User::createFromEmailLogin($_POST['username'], $_POST['password']);

		if ($user->isAuthorised())
		{
			$_SESSION['user'] = $user;
			cmn_redirect('index.php');
		}
		else
		{
			$message = 'Incorrect username or password';
		}

	}
	$template->loadTemplateFile('login.html');
	$template->setVariable('message', $message);
}

foreach ($ADMIN_MENU as $header => $pages)
{
    $parse = true;
    
    switch ($pages[0])
    {
        case 'employers.php':
            $parse = $user->checkPermission(USER_PERMISSION_CONTENT);
            break;

        case 'statistics.php':
            $parse = $user->checkPermission(USER_PERMISSION_STATISTICS);
            break;

        case 'marketing.php':
            $parse = $user->checkPermission(USER_PERMISSION_MESSAGING);
            break;
            
        case 'customers.php':
            $parse = $user->checkPermission(USER_PERMISSION_CUSTOMERS);
            break;
        
        case 'complaints.php':
            $parse = $user->checkPermission(USER_PERMISSION_REPORTS);
            break;
    }
    
    if ($parse)
    {
        $template->setVariable('Header', $header);
        $template->setVariable('Link', $pages[0]);
        
        if (array_search(FILENAME, $pages) !== false)
        {
            $template->touchBlock('menu_row_active');
        }
        $template->parse('menu_row');
    }
}
  
?>