<?php
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 

include('includes/application_top.php');
$template->loadTemplateFile('blocklist.html');

$source = $user;

if (isset($_GET['entity']))
{
	$source = Entity::getObject($_GET['entity'], @$_GET['id']);
}

// todo: check permissions

if ($source->{db_get_entity_key($source)} != -1)
{
	if (is_array(@$_POST['ConnectionID']))
	{
		foreach ($_POST['ConnectionID'] as $id)
		{
			$connection = new Connection($id);
			$connection->delete();
		}
		$template->touchBlock('reload_main');
	}
	$connections = Connection::getConnections(array('ConnectionType' => CONNECTIONTYPE_BLOCKED, db_get_entity_key($source) => $source->{db_get_entity_key($source)}));

	foreach ($connections as $connection)
	{
		$template->setVariable('ConnectionID', $connection->ConnectionID);
		$template->setVariable('Created', $connection->Created);

		$target = $connection->getTarget($source);
		$template->setVariable('Title', db_get_entity_display_name($target));
		if (!empty($target->{get_class($target) . 'Picture'}))
		{
			$template->setVariable('Picture', $target->{get_class($target) . 'Picture'});
			$template->setVariable('Entity', get_class($target));
			$template->setVariable('ID', $target->{db_get_entity_key($target)});
			$template->parse('picture');
		}
		else
		{
			$template->touchBlock('no_picture');
		}
		
		$template->parse('connection');
	}
}
include('includes/application_bottom.php');
?>