<?php
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 


$section = 'calendar';
require_once('includes/application_top.php');

if (!Session::isCurrentSessionLoggedIn())
{
	cmn_unauthorized_action();
}

if (UserBlock::checkUserBlockResources(USER_BLOCKED_RESOURCES, USERBLOCK_RESOURCE_INVITATIONS))
{
    cmn_unathorized_action();
}

$usersbypost = isset($_GET['bypost']) ? true : false;

$template->setGlobalVariable('SectionHeader', 'Send Invitation');

$selected = new Event(@$_GET['id']);
$events   = $user->getOwnEvents();

foreach ($events as $event)
{
	$template->setVariable('EventID',	$event->EventID);
	$template->setVariable('EventName',	$event->EventName);

	if ($event->EventID == $selected->EventID)
	{
		$template->touchBlock('event_selected');
	}
	$template->parse('event');
}


if (isset($_POST['submited']))
{
	foreach (split("[,;]\s?", $_POST['txtUser']) as $name)
	{
		$member = User::getByUserEmail(trim($name));

		if ($member->UserID != -1)
		{
			$user->sendEventInvite($member->UserID, @$_POST['EventID'], @$_POST['txtMessageText']);
		}
	}

	cmn_redirect('calendar.php');
}

require_once('includes/application_bottom.php');