<?php
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 

$section = 'blog';

include('includes/application_top.php');
$template->setGlobalVariable('SectionHeader', 'My Blog');

$blogEntry = new BlogEntry(@$_GET['id']);
if ($blogEntry->BlogEntryID != -1)
{
	if (isset($_POST['submited']))
	{
		if (@$_POST['BlogCommentMessage'] == '')
		{
			$template->touchBlock('comment_error');
		}
		else
		{
			$comment = new BlogComment();
			$comment->BlogEntryID = $blogEntry->BlogEntryID;
			$comment->UserID = $user->UserID;
			$comment->BlogCommentMessage = $_POST['BlogCommentMessage'];
			$comment->BlogCommentDate = CURRENT_TIME;
			$comment->saveToDB();
		}
	}

	$template->setVariable('BlogEntrySubject',	$blogEntry->BlogEntrySubject);
	$template->setVariable('BlogEntryMessage',	$blogEntry->BlogEntryMessage);
	$template->setVariable('BlogEntryDate',		$blogEntry->BlogEntryDate);

	$author = $blogEntry->getUser();
	/*
	if ($author->UserPicture != '')
	{
		$template->setVariable('UserID', $author->UserID);
		$template->setVariable('UserPicture', $author->UserPicture);
		$template->parse('avatar');
	}
	*/
	if (isset($_GET['delete']) && $author->UserID == $user->UserID)
	{
		$comment = new BlogComment($_GET['delete']);
		$comment->delete();
	}

	$template->setVariable('UserCity', $author->UserCity);
	$template->setVariable('UserState', $author->UserState);
	$template->setVariable('UserCountry', $author->UserCountry);
	$template->setVariable('UserRegistrationDate', $author->UserRegistrationDate);

	$template->setVariable('NowTime', date('c'));

	$comments = $blogEntry->getComments();

	foreach ($comments as $comment)
	{
		$template->setVariable('BlogCommentMessage', $comment->BlogCommentMessage);
		$template->setVariable('BlogCommentDate', $comment->BlogCommentDate);
		if ($author->UserID == $user->UserID)
		{
			$template->setVariable('BlogCommentID', $comment->BlogCommentID);
			$template->parse('delete_comment');
		}

		$author = $comment->getUser();
		$template->setVariable('Username', db_get_entity_display_name($author));

		if ($author->UserPicture != '')
		{
			$template->setVariable('UserID', $author->UserID);
			$template->setVariable('UserPicture', $author->UserPicture);
			$template->parse('comment_avatar');
		}

		$template->parse('blogcomment');
	}
}
include('includes/application_bottom.php');